#!/bin/bash
PATH=/usr/local/bin:/usr/local/sbin:~/bin:/usr/bin:/bin:/usr/sbin:/sbin
for X in 1, 2, 3
 do
     speedtest-cli --server 2225 --simple | cut -d" " -f1,2 | sed -e 's/ //g'| tr '\n' ' ' >> out.csv
     timestamp=$(date +"%Y-%m-%d_%H-%M-%S")
     echo $timestamp >> out.csv
    # echo "\n" >> out.csv
 done

# begin docs
# crontab
# MAILTO=""
# 5 */2 * * *  cd ~/Downloads/speed/ && ./job.sh
# above does speedtest every two hours at five minutes past the hour.
# to skip cron, # out the line in cron

# */10 * * * *  cd ~/Downloads/speed/ && ./job.sh
# for testing purposes // every ten minutes cron

# to edit cron
# env EDITOR=nano crontab -e

# to list cron
# crontab -l
# Source: https://ole.michelsen.dk/blog/schedule-jobs-with-crontab-on-mac-osx.html

# bash help
# BASH: ./<filename> // run executable
# ch 700 <filename> //make executable
# #!/bin/bash // make file executable

# Original inspirataion
# https://forums.cacti.net/viewtopic.php?f=12&t=52732

# timestamp variable:
# https://stackoverflow.com/questions/17066250/create-timestamp-variable-in-bash-script

# github speedtest source
# https://github.com/sivel/speedtest-cli 

# usage
# speedtest-cli --simple | cut -d" " -f1,2 | sed -e 's/ //g'| tr '\n' ' '
# check runs at command line else use /usr/bin/speedtest-cli --list

# end docs